---
title: XMLHttpRequestEventTarget.onabort
slug: Web/API/XMLHttpRequestEventTarget/onabort
tags:
  - API
  - Event Handler
  - Property
  - Reference
  - Web
  - XHMLHttpRequestEventTarget
---
<div>{{APIRef("XMLHttpRequest")}}</div>

<p>The <strong><code>XMLHttpRequestEventTarget.onabort</code></strong> is the function called when an {{domxref("XMLHttpRequest")}} transaction is aborted, such as when the {{domxref("XMLHttpRequest.abort()")}} function is called.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>XMLHttpRequest</em>.onabort = <em>callback</em>;</pre>

<h3 id="Values">Values</h3>

<ul>
	<li><code><em>callback</em></code> is the function to be executed when the transaction is aborted.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xmlhttp = new XMLHttpRequest(),
  method = 'GET',
  url = 'https://developer.mozilla.org/';

xmlhttp.open(<em>method</em>, <em>url</em>, true);
xmlhttp.onabort = function () {
  console.log('** The request was aborted');
};
xmlhttp.send();
//..
xmlhttp.abort(); // This will invoke our onabort handler above
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('XMLHttpRequest', '#handler-xhr-onabort')}}</td>
			<td>{{Spec2('XMLHttpRequest')}}</td>
			<td>WHATWG living standard</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequestEventTarget.onabort")}}</p>
